package com.ms.biz.service;

import com.ms.dal.entity.DsMessageConsumerBuffer;
import org.springframework.lang.Nullable;

import java.util.Date;

/**
 *
 */
public interface DsMessageConsumerBufferService  {

    int deleteByPrimaryKey(Long id);

    int insert(DsMessageConsumerBuffer record);

    int insertSelective(DsMessageConsumerBuffer record);

    DsMessageConsumerBuffer selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DsMessageConsumerBuffer record);

    int updateByPrimaryKey(DsMessageConsumerBuffer record);

    DsMessageConsumerBuffer addBuffer(Long shopId, Long dsMessageId, @Nullable Date gmtExec);
}
